HanMacWrdKTextInternal::Token Struct Reference

Internal: class to store the token properties of a HanMacWrdKText. More...

## Public Member Functions

| Token ()
| Constructor.
Token & | operator= (Token const &)=default
Token & | operator= (Token &&)=default
| ~Token ()
| destructor

## Public Attributes

int | m_type
| the type
long | m_id
| the identificator
std::string | m_extra
| extra data, mainly for debugging

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<<

## Detailed Description

Internal: class to store the token properties of a HanMacWrdKText.

## Constructor & Destructor Documentation

## Token()

HanMacWrdKTextInternal::Token::Token | ( |  | ) |

inline

Constructor.

Referenced by operator<<, operator=(), and operator=().

## ~Token()

HanMacWrdKTextInternal::Token::~Token | ( |  | ) |

inline

destructor

## Member Function Documentation

## operator=() [1/2]

Token & HanMacWrdKTextInternal::Token::operator= | ( | Token && |  | ) |

default

## operator=() [2/2]

Token & HanMacWrdKTextInternal::Token::operator= | ( | Token const & |  | ) |

default

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn )

friend

operator<<

## Member Data Documentation

## m_extra

std::string HanMacWrdKTextInternal::Token::m_extra

extra data, mainly for debugging

Referenced by operator<<, HanMacWrdKText::readToken(), and Token().

## m_id

long HanMacWrdKTextInternal::Token::m_id

the identificator

Referenced by operator<<, HanMacWrdKText::readTextZone(), HanMacWrdKText::readToken(), HanMacWrdKText::sendText(), and Token().

## m_type

int HanMacWrdKTextInternal::Token::m_type

the type

Referenced by operator<<, HanMacWrdKText::readToken(), HanMacWrdKText::sendText(), and Token().

The documentation for this struct was generated from the following file:

- HanMacWrdKText.cxx